Loading...
Searching...
No Matches
base.cc File Reference

This file contains the parts independent of a particular Refinement implementation. More...

`#include <dune/geometry/type.hh>`

Go to the source code of this file.

## Classes

struct | Dune::RefinementImp::Traits< topologyId, CoordType, coerceToId, dimension, Dummy >
| Mapping from geometryType, CoordType and coerceTo to a particular Refinement implementation. More...
class | Dune::RefinementIntervals
| Holds the number of refined intervals per axis needed for virtual and static refinement. More...
class | Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >
| Wrap each Refinement implementation to get a consistent interface. More...
struct | Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::Codim< codimension >
| The Codim struct inherited from the Refinement implementation. More...

## Namespaces

namespace | Dune
namespace | Dune::RefinementImp
| This namespace contains the implementation of Refinement.

## Macros

#define | DUNE_GEOMETRY_REFINEMENT_BASE_CC

## Functions

RefinementIntervals | Dune::refinementIntervals (int intervals)
| Creates a RefinementIntervals object.
RefinementIntervals | Dune::refinementLevels (int levels)
| Creates a RefinementIntervals object.

## Detailed Description

This file contains the parts independent of a particular Refinement implementation.

## Macro Definition Documentation

## DUNE_GEOMETRY_REFINEMENT_BASE_CC

#define DUNE_GEOMETRY_REFINEMENT_BASE_CC